
Installer - Bug #8301

Add a checker script for reverse DNS

11/06/2014 07:33 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Chris Roberts   

Category: foreman-installer script   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/255

  

Description

Since the smart-proxy checks reverse DNS of incoming HTTPS requests, for a wrongly configured box this can fail and installer fails

with "Can't register the proxy".

We should add a checker that will refuse to continue if reverse check does not match. I think Katello installer already does the check,

we can adopt this bit from there.

Related issues:

Related to Smart Proxy - Bug #7822: CVE-2014-3691 - Smart proxy doesn't perfo... Closed 10/06/2014

Associated revisions

Revision 35b7ee22 - 10/31/2017 02:56 PM - Chris Roberts

Fixes #8301 - Add forward/reverse dns check

History

#1 - 11/06/2014 07:35 AM - Dominic Cleal

- Related to Bug #7822: CVE-2014-3691 - Smart proxy doesn't perform verification of client SSL certificate on API requests added

#2 - 11/06/2014 07:35 AM - Dominic Cleal

- Category set to foreman-installer script

#3 - 10/30/2017 02:14 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Chris Roberts

- Pull request https://github.com/theforeman/foreman-installer/pull/255 added

#4 - 10/31/2017 03:02 PM - Chris Roberts

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 35b7ee22c10f199507425e379766678e828ca6c4.
